<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fd="http://www.bradsoft.com/feeddemon/xmlns/1.0/">

<xsl:output method="html"
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>

<xsl:template match="links">
<html>
<head>
	<title>$LANG_CONST(S_MemeRptTitle)$</title>
	$INCLUDE(metatrans.inc)$
	<style type="text/css">
		$INCLUDE(surfer.css)$
		$INCLUDE(commonstyles.css)$
		
		.groupheader {
			margin-bottom: 16px;			
			padding-left: 24px;
		}

		#pagehead {	width: 100%; }
		#container { 
			margin: 22px 24px; 
			margin-right: 16px;
			margin: 0;
		}

		#mylinks, #ngpostlist {
			font-size: 94%;
		}
		#mylinks {
			margin-left: 24px;
			width: 55%;
		}
		div#sidebar {
			float: right;
			width: 40%;
			/*max-height: 500px; 
			overflow-x: hidden;
			overflow-y: auto;*/
			background-color: $COLOR-SIDEBAR$;
			border-left: 1px dotted $COLOR-SIDEBAR-BORDER$;
			border-bottom: 1px dotted $COLOR-SIDEBAR-BORDER$;
			padding: 0;
		}
		#ngpostlist {
			padding-bottom: 18px;
			padding-left: 26px;
			padding-right: 20px;			
		}
		
		.nolinks { color: $COLOR-PAGEHEAD2$; margin: 20px; max-width: 500px; }
		.nolinks a { text-decoration: underline; }
		
		/* container for link and its posts */
		div.linkpost {
			padding-bottom: 22px; 
			padding-right: 20px;
			margin-bottom: 22px;			
			min-height: 120px; /* prevent img.fdpostimg overlapping next post */
		}
		
		img.fdpostimg {			
			width: 80px;
			max-height: 120px; /* same as div.linkpost min-height */
			margin-left: 10px;
			margin-bottom: 6px;
		}
		a:hover img.fdpostimg { background-color: $COLOR-FOCUS-HIGHLIGHT$; }		

		.linktitle a { text-decoration: underline; color: $COLOR-HYPERLINK$; }
		.linktitle { font-weight: bold; }
		.linktitle, .linkicons {
			display: inline;
		}
		
		div.excerpt { 
			margin-top: 14px; 
			margin-bottom: 14px;
			margin-right: 18px;
		}
		div.excerpt img.toggle {
			margin: 0;
			padding: 0;
			padding-right: 1px;
			margin-right: 1px;			
		}
		div.excerpt > span.expanded {
			display: inline-block;
			border-left: 2px solid $COLOR-FOCUS-HIGHLIGHT$;
			padding-left: 12px;
		}

		img.icon { margin-left: 2px; }
		img.hidetopic { margin-right: 6px; }
		
		span.dateline { margin-right: 6px; }
		span.postdate { color: gray; }
		span.sep { color: silver; margin: 0 4px; }

		a#filter { font-weight: normal; }
		a#filter:hover { color: $COLOR-PAGEHEAD2$ !important; }
		a#filter, a.post, a.feedtitle:hover { text-decoration: underline; }

		a.feedtitle { font-weight: normal; text-decoration: none; }
		
		/* posts w/o excerpt - keep on one line */
		div.post { white-space: nowrap; }
		div.post .feedtitle { max-width: 35%; }
		div.post .posttitle { max-width: 55%; }
		div.post .posttitle, div.post .feedtitle  {
			display: inline-block;
			overflow: hidden;
			text-overflow: ellipsis;
			vertical-align: top;
		}

		.linktitle { }
		
		div#sidebar div.none { color: gray; margin-left: 2px; margin-bottom: 8px; }
		div.ngpost { }	
		span.ngtitle {
			max-width: 80%;
			display: inline-block;
			white-space: nowrap;
			overflow-x: hidden;
			text-overflow: ellipsis;			
		}	
		.ngtitle a { font-weight: bold; text-decoration: underline; color: $COLOR-HYPERLINK$; }
		.ngtitle a:hover { color: $COLOR-HYPERLINK-HOVER$; }
		.ngtitle a:visited { color: #778899; }
		div.ngexcerpt { margin-bottom: 18px; }
		div.ngexcerpt, div.excerpt { }
		div#ngprogress {
			text-transform: uppercase;
			font-size: x-small;
			margin-top: 20px;
			margin-left: 5px;
		}
		div#ngprogress img { margin-right: 6px; }
		div#page-actions {
			float: right;
			margin-right: 24px;
			vertical-align: middle;
			font-size: smaller;
		}		
	</style>
</head>
<body>
	<div id="pagehead">		
		<div id="newspapertitle">
			<!-- uncomment next line to enable exporting popular topics to HTML -->
			<!-- <div id="page-actions"><a href="fdaction:?action=exportpoptopics">$LANG_CONST(S_Export)$...</a></div> -->

			<img src="$IMAGEDIR$popular-lg.png" align="absmiddle" />
			$LANG_CONST(S_MemeRptTitle)$: 
			<a id="filter" href="fdaction:?action=choosememefilter"><xsl:value-of select="@filter"/> <!-- <img src="$IMAGEDIR$arrow-dropdown.gif" align="bottom" /> --></a>
		</div>
	</div>
	<div id="container">
		<xsl:variable name="num-links"><xsl:value-of select="count(link)"/></xsl:variable>
		
		<!-- popular topics on NGOnline - inserted dynamically -->
		<xsl:if test="@showEveryone">
			<div id="sidebar">
				<div class="groupheader">$LANG_CONST(S_PopularTopics_Everyone)$</div>
				<div id="ngpostlist">
					<div id="ngprogress"><img src="$IMAGEDIR$ani-progress.gif" align="absmiddle" /> $LANG_CONST(S_StatusLoading)$</div>
				</div>
			</div>
			<div class="groupheader">$LANG_CONST(S_PopularTopics_Me)$</div>
		</xsl:if>		

		<xsl:if test="$num-links=0">
			<div class="nolinks">
				$LANG_CONST(S_NewsLblNoMemes)$
				<!-- <br /><br />
				<a href="fdaction:?action=findfeeds">$LANG_CONST(S_NewsLblFindFeeds)$</a> -->
			</div>
		</xsl:if>

		<div id="mylinks">
			<xsl:for-each select="link">
				<!-- sort links by popularity -->
				<xsl:sort select="@numPosts" order="descending" data-type="number"/>
			 	<xsl:variable name="link-url" select="@url"/> 
			 	<xsl:variable name="link-hash" select="@urlHash"/>
				<xsl:variable name="link-image-url" select="@imageUrl"/>
				<xsl:variable name="link-image-title" select="@imageTitle"/>
				<!-- <xsl:variable name="link-image-href" select="@imageHref"/> -->
				<xsl:variable name="link-image-href">
					fdaction:?action=gotopost&amp;feedid=<xsl:value-of select="@imageFeedId"/>&amp;postid=<xsl:value-of select="@imagePostId"/>&amp;markpostread=0
				</xsl:variable>
				
				<div class="linkpost" id="{$link-hash}">
					<xsl:for-each select="post">
						<xsl:sort select="@sortIndex" data-type="number"/>
						<xsl:sort select="@feedTitle" data-type="text"/>
						
						<xsl:variable name="post-title-id"><xsl:value-of select="@postId"/>_title</xsl:variable>
						<xsl:variable name="post-num"><xsl:value-of select="position()"/></xsl:variable>
						<xsl:variable name="post-link">fdaction:?action=gotopost&amp;feedid=<xsl:value-of select="@feedId"/>&amp;postid=<xsl:value-of select="@postId"/><xsl:if test="@read='false'">&amp;markpostread=1</xsl:if></xsl:variable>
						<xsl:variable name="post-link-newtab">fdaction:?action=gotopostlink&amp;newtab=1&amp;feedid=<xsl:value-of select="@feedId"/>&amp;postid=<xsl:value-of select="@postId"/><xsl:if test="@read='false'">&amp;markpostread=1</xsl:if></xsl:variable>
						<xsl:variable name="feed-link">fdaction:?action=gotofeed&amp;feedid=<xsl:value-of select="@feedId"/></xsl:variable>
						<xsl:variable name="post-excerpt"><xsl:value-of select="." disable-output-escaping="no"/></xsl:variable>

						<xsl:variable name="post-class">
							<xsl:choose>
								<xsl:when test="@read='false'">unread post</xsl:when>
								<xsl:otherwise>normal post</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:choose>
							<!-- show title and excerpt from first (earliest) post -->
							<xsl:when test="$post-num=1">							
								<div class="linktitle">
									<a id="{$post-title-id}" class="{$post-class}" href="{$post-link}" title="$LANG_CONST(S_NewsHintGotoPost)$">
										<xsl:value-of select="@title"/>
									</a>
								</div>
								
								<div class="linkicons">
									<!-- open link in new tab -->
									<a class="icon" href="{$post-link-newtab}" title="$LANG_CONST(S_NewsHintOpenInNewTab)$">
										<img src="$IMAGEDIR$linknew.gif" class="icon" align="absmiddle" />
									</a>							
								</div>
								<div class="excerpt">
									<!-- image for this link -->
									<xsl:if test="$link-image-url">
										<a id="{@postId}_fdpostimg" href="{$link-image-href}" title="{$link-image-title}"><img class="fdpostimg" src="{$link-image-url}" /></a>
									</xsl:if>
									<!-- toggle excerpt -->
									<a class="icon" title="$LANG_CONST(S_NewsHintExpand)$" href="fdaction:?action=toggleexcerpt&amp;postid={@postId}&amp;feedid={@feedId}">
										<img src="$IMAGEDIR$arrowright2.gif" id="{@postId}_img_toggle_excerpt" align="absmiddle" class="toggle icon" />
									</a>
									<span class="dateline">
										<a class="feedtitle" href="{$feed-link}" title="$LANG_CONST(S_NewsHintGotoFeed)$"><xsl:value-of select="@feedTitle"/></a>
										&#160;<span class="postdate"><xsl:value-of select="@dateDisplay"/></span>:
									</span>
									<span id="{@postId}_description" class="collapsed">
										<xsl:value-of select="$post-excerpt"/>
									</span>
									<a class="more" title="$LANG_CONST(S_NewsHintExpand)$" href="fdaction:?action=toggleexcerpt&amp;postid={@postId}&amp;feedid={@feedId}" id="{@postId}_expand_link">$LANG_CONST(S_NewsLblExpand)$</a>
								</div>
							</xsl:when>
							<!-- show only title of subsequent posts (excerpt in tooltip) -->
							<xsl:otherwise>
								<div class="post">
									<a class="feedtitle" href="{$feed-link}" title="$LANG_CONST(S_NewsHintGotoFeed)$"> <xsl:value-of select="@feedTitle"/></a>
									<span class="sep">/</span>
									<a id="{$post-title-id}" class="posttitle {$post-class}" href="{$post-link}" title="{$post-excerpt}">
										<xsl:value-of select="@title" disable-output-escaping="yes"/>
									</a>
									<a class="icon" href="{$post-link-newtab}" title="$LANG_CONST(S_NewsHintOpenInNewTab)$">
										<img src="$IMAGEDIR$linknew.gif" class="icon" align="absmiddle" />
									</a>
								</div>
							</xsl:otherwise>
						</xsl:choose>
						
					</xsl:for-each> <!-- for each post -->
				</div>
			</xsl:for-each>  <!-- for each meme -->
		</div> <!-- mylinks -->
	</div> <!-- container -->	
</body>
</html>
</xsl:template>

</xsl:stylesheet>